Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 424453 - sys-devel/automake-1.1[012] cause warning in combination with dev-lang/perl-5.16.0
Summary: sys-devel/automake-1.1[012] cause warning in combination with dev-lang/perl-5...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2012-07-02 00:06 UTC by Alexander Huemer
Modified: 2014-11-15 06:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Huemer 2012-07-02 00:06:19 UTC
When dev-lang/perl-5.16.0 is used, the execution of aclocal-1.1[12] causes:

main::scan_file() called too early to check prototype at /usr/bin/aclocal-1.11 line 643.

This is already known upstream and fixed[1].
The according commit e6184b2ce04c2cb2aab55377b0fbd615a99d62c8 from automake git should be applied to all gentoo automake-1.1[12] ebuilds until new maintenance releases come out.

[1] http://lists.gnu.org/archive/html/bug-automake/2012-05/msg00032.html

Reproducible: Always
Comment 1 Andreas K. Hüttel gentoo-dev 2014-09-13 19:18:54 UTC
This was fixed in automake 1.12.1 (we have 1.12.6). No idea about the other automake versions... 

@base-system: do we still need this bug?
Comment 2 SpanKY gentoo-dev 2014-11-15 04:25:54 UTC
(In reply to Andreas K. Hüttel from comment #1)

we still support the latest version in each major release series, so backporting to older versions would be nice
Comment 3 SpanKY gentoo-dev 2014-11-15 06:27:25 UTC
also impacts automake-1.10